Always respect users CFLAGS, enable verbose output when compiling
and don't install compressed man pages.

--- a/Makefile
+++ b/Makefile
@@ -21,7 +21,7 @@
 # Codename "synthetic system strainer"
 #
 
-CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2 -std=gnu99
+CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -std=gnu99
 
 #
 # Pedantic flags
@@ -357,12 +357,10 @@
 .o: stress-ng.h Makefile
 
 .c.o: stress-ng.h Makefile $(SRC)
-	@echo "CC $<"
-	@$(CC) $(CFLAGS) -c -o $@ $<
+	$(CC) $(CFLAGS) -c -o $@ $<
 
 stress-ng: $(OBJS)
-	@echo "LD $@"
-	@$(CC) $(CPPFLAGS) $(CFLAGS) $(OBJS) -lm $(LDFLAGS) -o $@
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(OBJS) -lm $(LDFLAGS) -o $@
 	@sync
 
 makeconfig:
@@ -383,7 +381,7 @@
 		sed '$$ s/.$$//' >> apparmor-data.c
 	@echo "};" >> apparmor-data.c
 	@echo "const size_t g_apparmor_data_len = sizeof(g_apparmor_data);" >> apparmor-data.c
-	@echo "CC $<"
+	echo "CC $<"
 	@$(CC) -c apparmor-data.c -o apparmor-data.o
 	@rm -rf apparmor-data.c apparmor-data.bin
 
@@ -399,12 +397,12 @@
 core-perf.o: core-perf.c core-perf-event.c
 	@$(CC) $(CFLAGS) -E core-perf-event.c | grep "PERF_COUNT" | sed 's/,/ /' | \
 	awk {'print "#define _SNG_" $$1 " (1)"'} > core-perf-event.h
-	@echo CC $<
-	@$(CC) $(CFLAGS) -c -o $@ $<
+	echo CC $<
+	$(CC) $(CFLAGS) -c -o $@ $<
 
 stress-vecmath.o: stress-vecmath.c
-	@echo CC $<
-	@$(CC) $(CFLAGS) -fno-builtin -c -o $@ $<
+	echo CC $<
+	$(CC) $(CFLAGS) -fno-builtin -c -o $@ $<
 	@touch stress-ng.c
 
 $(OBJS): stress-ng.h Makefile
@@ -453,7 +451,7 @@
 	mkdir -p ${DESTDIR}${BINDIR}
 	cp stress-ng ${DESTDIR}${BINDIR}
 	mkdir -p ${DESTDIR}${MANDIR}
-	cp stress-ng.1.gz ${DESTDIR}${MANDIR}
+	cp stress-ng.1 ${DESTDIR}${MANDIR}
 	mkdir -p ${DESTDIR}${JOBDIR}
 	cp -rp example-jobs/*.job ${DESTDIR}${JOBDIR}
 	mkdir -p ${DESTDIR}${BASHDIR}
